Package ru.bitel.common

# Class ByteBufferUtils

java.lang.Object
ru.bitel.common.ByteBufferUtils

public class ByteBufferUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByteBufferUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static short`
  `getUnsignedByte(ByteBuffer bb)`
  `static short`
  `getUnsignedByte(ByteBuffer bb, int position)`
  `static long`
  `getUnsignedInt(ByteBuffer bb)`
  `static long`
  `getUnsignedInt(ByteBuffer bb, int position)`
  `static int`
  `getUnsignedShort(ByteBuffer bb)`
  `static int`
  `getUnsignedShort(ByteBuffer bb, int position)`
  `static void`
  `putUnsignedByte(ByteBuffer bb, int value)`
  `static void`
  `putUnsignedByte(ByteBuffer bb, int position, int value)`
  `static void`
  `putUnsignedInt(ByteBuffer bb, int position, long value)`
  `static void`
  `putUnsignedInt(ByteBuffer bb, long value)`
  `static void`
  `putUnsignedShort(ByteBuffer bb, int value)`
  `static void`
  `putUnsignedShort(ByteBuffer bb, int position, int value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ByteBufferUtils

    public ByteBufferUtils()

- ## Method Details

  - ### getUnsignedByte

    public static short getUnsignedByte(ByteBuffer bb)

  - ### putUnsignedByte

    public static void putUnsignedByte(ByteBuffer bb, int value)

  - ### getUnsignedByte

    public static short getUnsignedByte(ByteBuffer bb, int position)

  - ### putUnsignedByte

    public static void putUnsignedByte(ByteBuffer bb, int position, int value)

  - ### getUnsignedShort

    public static int getUnsignedShort(ByteBuffer bb)

  - ### putUnsignedShort

    public static void putUnsignedShort(ByteBuffer bb, int value)

  - ### getUnsignedShort

    public static int getUnsignedShort(ByteBuffer bb, int position)

  - ### putUnsignedShort

    public static void putUnsignedShort(ByteBuffer bb, int position, int value)

  - ### getUnsignedInt

    public static long getUnsignedInt(ByteBuffer bb)

  - ### putUnsignedInt

    public static void putUnsignedInt(ByteBuffer bb, long value)

  - ### getUnsignedInt

    public static long getUnsignedInt(ByteBuffer bb, int position)

  - ### putUnsignedInt

    public static void putUnsignedInt(ByteBuffer bb, int position, long value)